CFPRIME ADDINT                                                          ADDINT      1
C***********************************************************************RIGHTE      1
C*                                                                     *RIGHTE      2
C*        Extended Transient-Midterm Stability Program (ETMSP)         *RIGHTE      3
C*        ====================================================         *RIGHTE      4
C*                                                                     *RIGHTE      5
C*       Copyright (C) (1993) Electric Power Research Institute        *RIGHTE      6
C*                                                                     *RIGHTE      7
C* EPRI reserves all rights in the software and associated             *RIGHTE      8
C* documentation as delivered. The software and its associated         *RIGHTE      9
C* documention or any portion thereof may not be reproduced in any form*RIGHTE     10
C* whatsoever without the consent of EPRI, except as explicity provided*RIGHTE     11
C* for by license. Licensee shall submit a detailed description to EPRI*RIGHTE     12
C* of any changes or modifications to the software within two (2)      *RIGHTE     13
C* months after such changes or modifications are made. At EPRI's sole *RIGHTE     14
C* discretion, the software, as changed or modified, shall be given a  *RIGHTE     15
C* new designation sufficiently different from its then current        *RIGHTE     16
C* designation as to prevent mistake,confusion, or deception as between*RIGHTE     17
C* the current software as changed or modified.                        *RIGHTE     18
C*                                                                     *RIGHTE     19
C* A license under EPRI's rights in the software can be obtained       *RIGHTE     20
C* directly from EPRI.                                                 *RIGHTE     21
C*                                                                     *RIGHTE     22
C* This program and supporting materials may be independently available*RIGHTE     23
C* from Electric Power Software centre (EPSC) for an appropriate       *RIGHTE     24
C* distribution fee. The EPSC is a service of                          *RIGHTE     25
C*                                                                     *RIGHTE     26
C*                    Power Computing Company                          *RIGHTE     27
C*                    1930 Hi Line                                     *RIGHTE     28
C*                    Dallas, Tx 75207                                 *RIGHTE     29
C*                                                                     *RIGHTE     30
C* NEITHER EPRI, ANY MEMBER OF EPRI, NOR ANY PERSON OR  ORGANIZATION   *RIGHTE     31
C* ACTING ON BEHAVE OF THEM:                                           *RIGHTE     32
C*                                                                     *RIGHTE     33
C* 1. MAKE ANY WARRANTY OR REPRESENTATION WHATSOEVER, EXPRESS OR       *RIGHTE     34
C*    IMPLIED, INCLUDING ANY WARRANTY OF MERCHANTABILITY OR FITNESS OR *RIGHTE     35
C*    ANY PURPOSE WITH RESPECT TO THE SOFTWARE OR ITS ASSOCIATED       *RIGHTE     36
C*    DOCUMENTATION; OR                                                *RIGHTE     37
C*                                                                     *RIGHTE     38
C* 2. ASSUMES ANY LIABILITY WHATSOEVER WITH RESPECT TO ANY USE OF THE  *RIGHTE     39
C*    SOFTWARE OR ITS ASSOCIATED DOCUMENTATION OR ANY PORTION THEREOF  *RIGHTE     40
C*    OR WITH RESPECT TO ANY DAMAGES WHICH MAY RESULT FROM SUCH USE.   *RIGHTE     41
C*                                                                     *RIGHTE     42
C* THIS NOTICE MAY NOT BE REMOVED FROM THE SOFTWARE BY ANY USER        *RIGHTE     43
C* THEREOF.                                                            *RIGHTE     44
C*                                                                     *RIGHTE     45
C***********************************************************************RIGHTE     46
      SUBROUTINE ADDINT (IBLK, NEW, IOLD)                               ADDINT      3
CD -------------------------------------------------------------------  ADDINT      4
CD                                                                      ADDINT      5
CD              *****     ADDINT  ROUTINE   *****                       ADDINT      6
CD                                                                      ADDINT      7
CD -------------------------------------------------------------------  ADDINT      8
CD                                                                      ADDINT      9
CD       PURPOSE:  Creates a new entry at the bottom of the             ADDINT     10
CD                 identification linked list for this udc block.       ADDINT     11
CD                                                                      ADDINT     12
CD                                                                      ADDINT     13
CD       DEFINITION OF LOCAL VARIABLES:                                 ADDINT     14
CD          (P)    BLK    -  current udc block.                         ADDINT     15
CD          (P)    NEW    -  pointer to new link.                       ADDINT     16
CD          (P)    OLD    -  previous bottom of the list.               ADDINT     17
CD                                                                      ADDINT     18
CD -------------------------------------------------------------------  ADDINT     19
C                                                                       ADDINT     20
      INCLUDE 'CNUNIT.INS'                                              ADDINT     21
      INCLUDE 'PARX.INS'                                                ADDINT     22
      INCLUDE 'UDCA.INS'                                                ADDINT     23
      INCLUDE 'UDCB.INS'                                                ADDINT     24
      INCLUDE 'UDCC.INS'                                                ADDINT     25
      INCLUDE 'UDCD.INS'                                                ADDINT     26
      INCLUDE 'UDCH.INS'                                                ADDINT     27
      INCLUDE 'UDCI.INS'                                                ADDINT     28
      INCLUDE 'CNFLAG.INS'                                              ADDINT     29
      INCLUDE 'CNMSG.INS'                                               ADDINT     30
C                                                                       ADDINT     31
      LOGICAL       LIMITS                                              ADDINT     32
C                                                                       ADDINT     33
      DIMENSION  RDATA(100),IDATA(100)                                  ADDINT     34
C                                                                       ADDINT     35
      CHARACTER*133 FORMT                                               ADDINT     36
      CHARACTER*72  CDATA(100)                                          ADDINT     37
      CHARACTER*20  SUBNAM                                              ADDINT     38
C                                                                       ADDINT     39
      IF(SDBG)THEN                                                      ADDINT     40
         SUBNAM = 'ADDINT ROUTINE.'                                     ADDINT     41
      ELSE                                                              ADDINT     42
         SUBNAM = ' '                                                   ADDINT     43
      END IF                                                            ADDINT     44
C                                                                       ADDINT     45
C                                                                       ADDINT     46
      NEW = IUDIFR                                                      ADDINT     47
      IF(NEW.EQ.0)THEN                                                  ADDINT     48
         WRITE(MSG(1),9000) SUBNAM                                      ADDINT     49
         WRITE(MSG(2),9200)                                             ADDINT     50
         WRITE(MSG(3),9210)                                             ADDINT     51
         WRITE(MSG(4),9220)                                             ADDINT     52
         WRITE(MSG(5),9230)                                             ADDINT     53
         CALL PRTMSG(5)                                                 ADDINT     54
         MSG(1)='TERMINATED DUE TO ARRAY DIMENSIONS'                    ADDINT     55
         CALL ASTOP(MSG(1),34)                                          ADDINT     56
      END IF                                                            ADDINT     57
C                                                                       ADDINT     58
      IUDIFR = IUDINX(IUDIFR)                                           ADDINT     59
C                                                                       ADDINT     60
      IF(IUNIPT(IBLK).EQ.0)THEN                                         ADDINT     61
         IUNIPT(IBLK) = NEW                                             ADDINT     62
      ELSE                                                              ADDINT     63
         IUDINX(IOLD) = NEW                                             ADDINT     64
      END IF                                                            ADDINT     65
C                                                                       ADDINT     66
      IUDINX(NEW) = 0                                                   ADDINT     67
      IOLD = NEW                                                        ADDINT     68
      IUDINT(NEW) = 0                                                   ADDINT     69
      UIDENT(NEW) = ' '                                                 ADDINT     70
C                                                                       ADDINT     71
C---------------------------------------------------------------------  ADDINT     72
C                                                                       ADDINT     73
      RETURN                                                            ADDINT     74
C                                                                       ADDINT     75
C---------------------------------------------------------------------  ADDINT     76
      ENTRY ADDSTK (JBLK, JORDER, NEXT, I)                              ADDINT     77
CD -------------------------------------------------------------------  ADDINT     78
CD                                                                      ADDINT     79
CD              *****     ADDSTK  ROUTINE   *****                       ADDINT     80
CD                                                                      ADDINT     81
CD -------------------------------------------------------------------  ADDINT     82
CD                                                                      ADDINT     83
CD       PURPOSE:  Adds a new entry to the top of the stack.            ADDINT     84
CD                                                                      ADDINT     85
CD -------------------------------------------------------------------  ADDINT     86
C                                                                       ADDINT     87
C      LDEB=(JDEB(304).NE.0)                                            ADDINT     88
C      LDEB1=(JDEB(305).NE.0)                                           ADDINT     89
      LDEB=(JDEB(304).NE.0).AND.(JDEB(305).NE.0)                        ADDINT     90
      IF(SDBG)THEN                                                      ADDINT     91
         SUBNAM = 'ADDSTK ROUTINE.'                                     ADDINT     92
      ELSE                                                              ADDINT     93
         SUBNAM = ' '                                                   ADDINT     94
      END IF                                                            ADDINT     95
C                                                                       ADDINT     96
C                                                                       ADDINT     97
C     Create new entry in the loop stack.                               ADDINT     98
C                                                                       ADDINT     99
      IF(ISKTOP .NE. 0)THEN                                             ADDINT    100
C                                                                       ADDINT    101
C        Save the order of the block that would have been evaluated     ADDINT    102
C        next if nothing had been added to stack.                       ADDINT    103
C                                                                       ADDINT    104
         ISKRTN(ISKTOP) = JORDER + 1                                    ADDINT    105
         JORDER = IUDINV(JBLK)                                          ADDINT    106
      END IF                                                            ADDINT    107
C                                                                       ADDINT    108
C                                                                       ADDINT    109
      JOLD = ISKTOP                                                     ADDINT    110
      ISKTOP = ISKFRE                                                   ADDINT    111
      IF(ISKTOP.EQ.0)THEN                                               ADDINT    112
         WRITE(MSG(1),9000) SUBNAM                                      ADDINT    113
         WRITE(MSG(2),9400)                                             ADDINT    114
         WRITE(MSG(3),9410)                                             ADDINT    115
         WRITE(MSG(4),9420)                                             ADDINT    116
         WRITE(MSG(5),9430)                                             ADDINT    117
         WRITE(MSG(6),9440)                                             ADDINT    118
         WRITE(MSG(7),9450)                                             ADDINT    119
         CALL PRTMSG(7)                                                 ADDINT    120
         MSG(1)='TERMINATED DUE TO ARRAY DIMENSIONS'                    ADDINT    121
         CALL ASTOP(MSG(1),34)                                          ADDINT    122
      ELSE IF (ISKTAB/3 .GT. LPMAX) THEN                                ADDINT    123
         WRITE(MSG(1),9000) SUBNAM                                      ADDINT    124
         WRITE(MSG(2),9700)                                             ADDINT    125
         WRITE(MSG(3),9710)                                             ADDINT    126
         CALL PRTMSG(3)                                                 ADDINT    127
         MSG(1)='TERMINATED DUE TO STACK PROBLEMS'                      ADDINT    128
         CALL ASTOP(MSG(1),32)                                          ADDINT    129
      END IF                                                            ADDINT    130
C                                                                       ADDINT    131
C                                                                       ADDINT    132
      ISKFRE = ISKNEX(ISKFRE)                                           ADDINT    133
      ISKNEX(ISKTOP) = JOLD                                             ADDINT    134
C                                                                       ADDINT    135
C     Add the loop information into the new entry.                      ADDINT    136
C                                                                       ADDINT    137
      NEW1 = ISKTOP                                                     ADDINT    138
C                                                                       ADDINT    139
C     Save loop number, first block and last block in loop.             ADDINT    140
C                                                                       ADDINT    141
      ISKSTR(NEW1) = LPNUM(NEXT)                                        ADDINT    142
      ISKLOP(NEW1) = I                                                  ADDINT    143
      ISKEND(NEW1) = ISKSTR(NEW1)                                       ADDINT    144
40    IF(NEXT.EQ.0) GOTO 60                                             ADDINT    145
         ISKEND(NEW1) = LPNUM(NEXT)                                     ADDINT    146
         NEXT = LPNEXT(NEXT)                                            ADDINT    147
         GOTO 40                                                        ADDINT    148
60    CONTINUE                                                          ADDINT    149
C                                                                       ADDINT    150
C                                                                       ADDINT    151
      SKVAL(NEW1) = UDVAL(ISKEND(NEW1))                                 ADDINT    152
      IF(LDEB)THEN                                                      ADDINT    153
         LEN1 = IUDLEN(ISKSTR(NEW1))                                    ADDINT    154
         LEN2 = IUDLEN(ISKEND(NEW1))                                    ADDINT    155
         IF(LPSUBS(ISKLOP(ISKTOP)) .GT. 0)THEN                          ADDINT    156
            WRITE (FORMT,9104) ISKTAB, UDNAME(ISKSTR(NEW1))(1:LEN1),    ADDINT    157
     1                         UDNAME(ISKEND(NEW1))(1:LEN2)             ADDINT    158
         ELSE                                                           ADDINT    159
            WRITE (FORMT,9106) ISKTAB, UDNAME(ISKSTR(NEW1))(1:LEN1),    ADDINT    160
     1                         UDNAME(ISKEND(NEW1))(1:LEN2)             ADDINT    161
         END IF                                                         ADDINT    162
         WRITE (IUD6,FORMT)                                             ADDINT    163
         ISKTAB = ISKTAB + 3                                            ADDINT    164
      END IF                                                            ADDINT    165
C                                                                       ADDINT    166
C                                                                       ADDINT    167
C     Look through fixed list to find increment and initial value.      ADDINT    168
C                                                                       ADDINT    169
      NEXT = LPSUBS(I)                                                  ADDINT    170
      IF(NEXT .GT. 0)THEN                                               ADDINT    171
         ISKOUT(NEW1) = IFXOUT(NEXT)                                    ADDINT    172
         SKINCR(NEW1) = FXINCR(NEXT)                                    ADDINT    173
         SKLOW(NEW1) = FXLOW(NEXT)                                      ADDINT    174
         SKHIGH(NEW1) = FXHIGH(NEXT)                                    ADDINT    175
C                                                                       ADDINT    176
C        Determine if limits are available.                             ADDINT    177
C                                                                       ADDINT    178
         IF(SKLOW(NEW1) .NE. 0.0.AND.SKHIGH(NEW1) .NE. 0.0)THEN         ADDINT    179
            LIMITS = .TRUE.                                             ADDINT    180
         ELSE                                                           ADDINT    181
            LIMITS = .FALSE.                                            ADDINT    182
         END IF                                                         ADDINT    183
C                                                                       ADDINT    184
         SKTOL(NEW1) = FXTOL(NEXT)                                      ADDINT    185
         IF(FXINAM(NEXT).EQ.' ')THEN                                    ADDINT    186
            SKINIT(NEW1) = FXINIT(NEXT)                                 ADDINT    187
C                                                                       ADDINT    188
C           If limits are defined check that the initial value is       ADDINT    189
C           within limits.                                              ADDINT    190
C                                                                       ADDINT    191
            IF(LIMITS)THEN                                              ADDINT    192
               IF(SKINIT(NEW1) .LT. FXLOW(NEXT))THEN                    ADDINT    193
                  WRITE(MSG(1),9000) SUBNAM                             ADDINT    194
                  WRITE(MSG(2),9500)                                    ADDINT    195
                  WRITE(MSG(3),9510)                                    ADDINT    196
                  WRITE(MSG(4),9520) SKINIT(NEW1),FXLOW(NEXT)           ADDINT    197
                  WRITE(MSG(5),9530)                                    ADDINT    198
                  CALL PRTMSG(5)                                        ADDINT    199
                  SKINIT(NEW1) = FXLOW(NEXT)                            ADDINT    200
               ELSEIF(SKINIT(NEW1) .GT. FXHIGH(NEXT))THEN               ADDINT    201
                  WRITE(MSG(1),9000) SUBNAM                             ADDINT    202
                  WRITE(MSG(2),9500)                                    ADDINT    203
                  WRITE(MSG(3),9510)                                    ADDINT    204
                  WRITE(MSG(4),9620) SKINIT(NEW1),FXHIGH(NEXT)          ADDINT    205
                  WRITE(MSG(5),9530)                                    ADDINT    206
                  CALL PRTMSG(5)                                        ADDINT    207
                  SKINIT(NEW1) = FXHIGH(NEXT)                           ADDINT    208
               END IF                                                   ADDINT    209
            END IF                                                      ADDINT    210
         ELSE                                                           ADDINT    211
            SKINIT(NEW1) = UDVAL(IFINUM(NEXT))                          ADDINT    212
            IF(LIMITS)THEN                                              ADDINT    213
               IF(SKINIT(NEW1) .LT. FXLOW(NEXT))THEN                    ADDINT    214
                  WRITE(MSG(1),9000) SUBNAM                             ADDINT    215
                  WRITE(MSG(2),9500)                                    ADDINT    216
                  WRITE(MSG(3),9510)                                    ADDINT    217
                  WRITE(MSG(4),9520) SKINIT(NEW1),FXLOW(NEXT)           ADDINT    218
                  WRITE(MSG(5),9530)                                    ADDINT    219
                  CALL PRTMSG(5)                                        ADDINT    220
                  SKINIT(NEW1) = FXLOW(NEXT)                            ADDINT    221
               ELSEIF(SKINIT(NEW1) .GT. FXHIGH(NEXT))THEN               ADDINT    222
                  WRITE(MSG(1),9000) SUBNAM                             ADDINT    223
                  WRITE(MSG(2),9500)                                    ADDINT    224
                  WRITE(MSG(3),9510)                                    ADDINT    225
                  WRITE(MSG(4),9620) SKINIT(NEW1),FXHIGH(NEXT)          ADDINT    226
                  WRITE(MSG(5),9530)                                    ADDINT    227
                  CALL PRTMSG(5)                                        ADDINT    228
                  SKINIT(NEW1) = FXHIGH(NEXT)                           ADDINT    229
               END IF                                                   ADDINT    230
            END IF                                                      ADDINT    231
         END IF                                                         ADDINT    232
      END IF                                                            ADDINT    233
      ISKCNT(NEW1) = 0                                                  ADDINT    234
C                                                                       ADDINT    235
C                                                                       ADDINT    236
C---------------------------------------------------------------------  ADDINT    237
C                                                                       ADDINT    238
      RETURN                                                            ADDINT    239
C                                                                       ADDINT    240
C---------------------------------------------------------------------  ADDINT    241
C                                                                       ADDINT    242
C                                                                       ADDINT    243
C---------------------------------------------------------------------  ADDINT    244
C                                                                       ADDINT    245
      ENTRY ADDSTR (CDATA, RDATA, IDATA)                                ADDINT    246
CD -------------------------------------------------------------------  ADDINT    247
CD                                                                      ADDINT    248
CD              *****     ADDSTR  ROUTINE   *****                       ADDINT    249
CD                                                                      ADDINT    250
CD -------------------------------------------------------------------  ADDINT    251
CD                                                                      ADDINT    252
CD       PURPOSE:  Reading a STRUCTURE definition.  Save the            ADDINT    253
CD                 STRUCTURE data in a list for later processing.       ADDINT    254
CD                                                                      ADDINT    255
CD -------------------------------------------------------------------  ADDINT    256
C                                                                       ADDINT    257
      NEW1 = IBKFRE                                                     ADDINT    258
      IBKFRE = IBKNEX(IBKFRE)                                           ADDINT    259
      IF(ISRTOP(NMSTRC).EQ.0)THEN                                       ADDINT    260
         ISRTOP(NMSTRC) = NEW1                                          ADDINT    261
      ELSE                                                              ADDINT    262
         IBKNEX(IBKLAS) = NEW1                                          ADDINT    263
      END IF                                                            ADDINT    264
      IBKLAS = NEW1                                                     ADDINT    265
C                                                                       ADDINT    266
      IBKNEX(NEW1) = 0                                                  ADDINT    267
      BKNAME(NEW1) = UDNAME(IUDC)                                       ADDINT    268
      IBKTYP(NEW1) = IUDTYP(IUDC)                                       ADDINT    269
      IBKSUB(NEW1) = IUDSUB(IUDC)                                       ADDINT    270
      IBKELN(NEW1) = IUDLEN(IUDC)                                       ADDINT    271
      IBKTOP(NEW1) = 0                                                  ADDINT    272
C                                                                       ADDINT    273
      DO 20 II = 1, NUMSRC                                              ADDINT    274
         IF(IBKTOP(NEW1).EQ.0)THEN                                      ADDINT    275
            IBKTOP(NEW1) = IDTFRE                                       ADDINT    276
         ELSE                                                           ADDINT    277
            IDTNEX(IDTLAS) = IDTFRE                                     ADDINT    278
         END IF                                                         ADDINT    279
         IDTLAS = IDTFRE                                                ADDINT    280
         IDTFRE = IDTNEX(IDTFRE)                                        ADDINT    281
         DTCDAT(IDTLAS) = ' '                                           ADDINT    282
         DTRDAT(IDTLAS) = 0.0                                           ADDINT    283
         IDTIDA(IDTLAS) = 0                                             ADDINT    284
         IDTNEX(IDTLAS) = 0                                             ADDINT    285
         IF(CDATA(II)(1:1).EQ.'%')THEN                                  ADDINT    286
            DTREAD(IDTLAS) = .TRUE.                                     ADDINT    287
         ELSE                                                           ADDINT    288
            DTREAD(IDTLAS) = .FALSE.                                    ADDINT    289
            DTTYPE(IDTLAS) = TYPE(II)                                   ADDINT    290
            IF(TYPE(II).EQ.'CHAR')THEN                                  ADDINT    291
               DTCDAT(IDTLAS)(1:72) = CDATA(II)                         ADDINT    292
            ELSEIF(TYPE(II).EQ.'REAL')THEN                              ADDINT    293
               DTRDAT(IDTLAS) = RDATA(II)                               ADDINT    294
            ELSEIF(TYPE(II).EQ.'INTE')THEN                              ADDINT    295
               IDTIDA(IDTLAS) = IDATA(II)                               ADDINT    296
            ELSEIF(TYPE(II).EQ.' ')THEN                                 ADDINT    297
               DTCDAT(IDTLAS)(1:72) = STARS                             ADDINT    298
            END IF                                                      ADDINT    299
         END IF                                                         ADDINT    300
20    CONTINUE                                                          ADDINT    301
C                                                                       ADDINT    302
C---------------------------------------------------------------------  ADDINT    303
C                                                                       ADDINT    304
      RETURN                                                            ADDINT    305
C                                                                       ADDINT    306
C---------------------------------------------------------------------  ADDINT    307
C                                                                       ADDINT    308
      ENTRY ADDPRM (IBLK, NEW, IOLD)                                    ADDINT    309
CD -------------------------------------------------------------------  ADDINT    310
CD                                                                      ADDINT    311
CD              *****     ADDPRM  ROUTINE   *****                       ADDINT    312
CD                                                                      ADDINT    313
CD -------------------------------------------------------------------  ADDINT    314
CD                                                                      ADDINT    315
CD       PURPOSE:  Creates a new entry at the bottom of the             ADDINT    316
CD                 parameter linked list for this udc block.            ADDINT    317
CD                                                                      ADDINT    318
CD -------------------------------------------------------------------  ADDINT    319
C                                                                       ADDINT    320
      IF(SDBG)THEN                                                      ADDINT    321
         SUBNAM = 'ADDPRM ROUTINE.'                                     ADDINT    322
      ELSE                                                              ADDINT    323
         SUBNAM = ' '                                                   ADDINT    324
      END IF                                                            ADDINT    325
C                                                                       ADDINT    326
C                                                                       ADDINT    327
      NEW = IUDPFR                                                      ADDINT    328
      IF(NEW.EQ.0)THEN                                                  ADDINT    329
         WRITE(MSG(1),9000) SUBNAM                                      ADDINT    330
         WRITE(MSG(2),9300)                                             ADDINT    331
         WRITE(MSG(3),9310)                                             ADDINT    332
         WRITE(MSG(4),9320)                                             ADDINT    333
         WRITE(MSG(5),9330)                                             ADDINT    334
         CALL PRTMSG(5)                                                 ADDINT    335
         MSG(1)='TERMINATED DUE TO ARRAY DIMENSIONS'                    ADDINT    336
         CALL ASTOP(MSG(1),34)                                          ADDINT    337
      END IF                                                            ADDINT    338
C                                                                       ADDINT    339
C                                                                       ADDINT    340
      IUDPFR = IUDPNX(IUDPFR)                                           ADDINT    341
C                                                                       ADDINT    342
      IF(IUDPPT(IBLK).EQ.0)THEN                                         ADDINT    343
         IUDPPT(IBLK) = NEW                                             ADDINT    344
      ELSE                                                              ADDINT    345
         IUDPNX(IOLD) = NEW                                             ADDINT    346
      END IF                                                            ADDINT    347
C                                                                       ADDINT    348
      IUDPNX(NEW) = 0                                                   ADDINT    349
      IOLD = NEW                                                        ADDINT    350
      UDPARM(NEW) = 0.0                                                 ADDINT    351
C                                                                       ADDINT    352
C---------------------------------------------------------------------  ADDINT    353
C                                                                       ADDINT    354
      RETURN                                                            ADDINT    355
C                                                                       ADDINT    356
C---------------------------------------------------------------------  ADDINT    357
C                                                                       ADDINT    358
9104  FORMAT ('(///, ', I3, 'X, ''ADDED TO STACK  ---  SUBSYSTEM ',     ADDINT    359
     1        'FROM "', A, '" TO "', A, '".'')')                        ADDINT    360
9106  FORMAT ('(///, ', I3, 'X, ''ADDED TO STACK  ---  LOOP FROM "',    ADDINT    361
     1        A, '" TO "', A, '".'')')                                  ADDINT    362
 9000 FORMAT(' *** MTDC ERROR  ',A)                                     ADDINT    363
 9200 FORMAT(5X                                                         ADDINT    364
     *,'THE MAXIMUM STORAGE FOR THE IDENTIFICATION LINKED LIST')        ADDINT    365
 9210 FORMAT(5X,'HAS BEEN EXCEEDED. TO CHANGE THE SIZE OF THIS LIST,')  ADDINT    366
 9220 FORMAT(5X                                                         ADDINT    367
     *,'CHANGE THE NUDC5 PARAMETER IN INCLUDE PARX TO A HIGH')          ADDINT    368
 9230 FORMAT(5X,'MULTIPLE OF NUDC.')                                    ADDINT    369
 9400 FORMAT(5X                                                         ADDINT    370
     *,'THE MAXIMUM STORAGE FOR THE LOOP STACK HAS BEEN EXCEEDED.')     ADDINT    371
 9410 FORMAT(5X,'TO CHANGE THE SIZE OF THIS LIST, CHANGE THE VALUE OF') ADDINT    372
 9420 FORMAT(5X,'PARAMETER, NUDC, FOUND IN INCLUDE PARX')               ADDINT    373
 9430 FORMAT(8X                                                         ADDINT    374
     *,'NOTE: THE PROBLEM IS MORE LIKELY TO BE THAT THE PROGRAM')       ADDINT    375
 9440 FORMAT(5X                                                         ADDINT    376
     *,'IS IN AN INFINITE LOOP. CHECK YOUR UDC INPUT FILE FOR')         ADDINT    377
 9450 FORMAT(5X,'ERROR.')                                               ADDINT    378
 9700 FORMAT(5X,'THE LOOP STACK HAS BEEN CORRUPTED, PROBLEMS CAUSED')   ADDINT    379
 9710 FORMAT(5X,'BY ERRORS IN THE CODE.')                               ADDINT    380
 9500 FORMAT(5X                                                         ADDINT    381
     *,'THE INITIAL VALUE FOR THE SUBSYSTEM BLOCK, IS NOT WITHIN')      ADDINT    382
 9510 FORMAT(5X,'THE LIMITS SPECIFIED.  THE INITIAL IS CHANGED FROM')   ADDINT    383
 9520 FORMAT(5X,'"',F15.5,'" TO THE LOW LIMIT OF "',F15.5,'".')         ADDINT    384
 9530 FORMAT(5X,'CHANGE YOUR UDC INPUT FILE.')                          ADDINT    385
 9620 FORMAT(5X,'"',F15.5,'" TO THE HIGH LIMIT OF "',F15.5,'".')        ADDINT    386
 9300 FORMAT(5X                                                         ADDINT    387
     *,'THE MAXIMUM STORAGE FOR THE PARAMETER LINKED LIST HAS')         ADDINT    388
 9310 FORMAT(5X                                                         ADDINT    389
     *,'BEEN EXCEEDED.  TO CHANGE THE SIZE OF THE LIST, CHANGE')        ADDINT    390
 9320 FORMAT(5X                                                         ADDINT    391
     *,'THE NUDC5 PARAMETER IN INCLUDE PARX TO A HIGH MULTIPLE')        ADDINT    392
 9330 FORMAT(5X,'OF NUDC.')                                             ADDINT    393
C                                                                       ADDINT    394
C---------------------------------------------------------------------  ADDINT    395
C                                                                       ADDINT    396
      END                                                               ADDINT    397
